Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.olapi.data.source
Class DerivedDefinition

    java.lang.Object
      |
      +--oracle.olapi.data.source.SourceDefinition
            |
            +--oracle.olapi.data.source.ImmutableDefinition
                  |
                  +--oracle.olapi.data.source.DerivedDefinition

Direct Known Subclasses:
  AliasDefinition, DistinctDefinition, ExtractDefinition, JoinDefinition, NullSourceDefinition, PositionDefinition, RecursiveJoinDefinition, ValueDefinition

public abstract class DerivedDefinition
extends ImmutableDefinition

An `ImmutableDefinition` for a derived `Source`, such as the `Source` returned by a `join` method of a `Source`.

Method Summary
`SourceDefinition` | `getBase()` Gets the `SourceDefinition` for the `Source` that you used to produce the `Source` for this `DerivedDefinition`.

Methods inherited from class oracle.olapi.data.source.SourceDefinition
`getDataProvider, getModel, getSource`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBase

    public final SourceDefinition getBase()

  Gets the `SourceDefinition` for the `Source` that you used to produce the `Source` for this `DerivedDefinition`. For example, the following code calls a `join` method of `sourceA` to produce `aByB`, and then gets the `SourceDefinition`, `aByBDefinition`, for `aByB`. Calling the `getSource` method of `aByBDefinition` returns `baseOfAByB`, which is `sourceA`.

       Source aByB = sourceA.join(sourceB);
       SourceDefinition aByBDefinition = aByB.getDefinition();
       Source baseOfAbyB = aByBDefinition.getSource();

  Returns:
    The `SourceDefinition` for the `Source` that you used to produce the `Source` for this `DerivedDefinition`.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle® OLAP Java API Reference 10g Release 2 (10.2) B14348-02
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002, 2005, Oracle. All rights reserved.